+1
Started

application validation did not succeed

ryan.senio 4 months ago updated by TechCare 4 months ago 8

Running 19.5.25928.7265 on Ubuntu and can no longer get clients to connect to a support session. Once the client utility is downloaded and ran on the client computer they get Application validation did not succeed. Unable to continue. This occurs on Chrome, Edge and I.E. I've tested this myself and have the same results trying to connect to a published session. This is not good

ConnectWise Control Version:
19.5
Server Affected:
Host Client Affected:
Guest Client Affected:
Started

We're working on this. Can you confirm that this only occurs when using ClickOnceDirect (the .application file)?

The workaround for now is to have guests use any other join method (ClickOnceRun should be the default on Chrome/Windows), as documented here:

https://docs.connectwise.com/ConnectWise_Control_Documentation/Get_started/Host_page/Advanced_join_session_dialog_options

It doesn't work on most of the options for me.

Server: 19.5.25995.7276

Client: Win 10, Firefox 70.0.1

Option:

  • ClickOnceRun = Application Validation did not succeed!
  • All the rest using jlnp extension
  • Installer = Works, takes more effort

I've now resorted to sending an .exe zipped up via email. Which is just painful. Plus it sometimes gets blocked.

As for the Java option, most of my new installs don't use Java anymore since it went paid for commercial.

As far as I can tell the clickonce is the only issue

Upgraded to 19.5.25995.7276, original problem still exists. And now as the host, when I join an access session my browser, chrome for example, now prompts to ask if I actually want to open the screen connect client. Same with Edge

The Chrome thing is a browser issue. If you're expecting it to remember your saved preference, they disabled that in newer versions. (Chrome probably remembered your last saved setting, which got overwritten when you upgraded the host client.)

(Also, please post different bugs in new threads.)

I've appended the line in my web.config file. That seems to have stopped the application validation error. 

I'm not sure if I follow the response on the other issue. It's also prompting with Edge. And I just ran the previous upgrade last week and didn't have this problem. Do you mean the browser prompting is now "normal"?

+1

Saw this on a session this morning, and I think a transform didn't get applied correctly during the upgrade.

Check for the following line in your current web.config file:


<add verb="GET" path="Bin/*" type="ScreenConnect.BinHandler, ScreenConnect.Web" />

If it is missing, try adding it after the other handlers with path="Bin/...". (And please send me a copy of your old web.config so I can figure out where it is breaking: edavis@connectwise.com)

@Eric - I think that fixed it. I manually added the string to my web.config at the end of similar "<add verb=...." as follows: